Add a secondary employee to the task
https://carchost.fieldcontrol.com.br/tasks/{id}/secondary-employees/{employeeId}Adds an employee to accompany the person in charge in the task. Returns the employee. There is no body; the success response uses status 200.
Requires the
X-Api-KeyandUser-Agentheaders. Limit: 1 request per second (learn more).
Request
Path parameters
idstringrequiredTask identifier.
Example: ZTllZjFiNzUtOGQ3MS00ZmE1LWFjNmUtYzlmNGQ1YzJiOWI3OjIyOTE1.
employeeIdstringrequiredEmployee identifier.
Example: MTY1NDk6MjI5MTU=.
Headers
User-AgentstringrequiredIdentification of your application.
Example: MinhaIntegracao/1.0.
Responses
- 200
Employee added.
- 401
API key missing (
Missing API Key) or invalid (Invalid API Key). See Authentication. - 403
Account blocked (
Account blocked), expired (Account expired) or on a plan that does not allow integration (Account plan not allowed). See Authentication. - 404
Task or employee does not exist. No body.
- 422
Secondary employee rule violated (resourceValidationErr): employee already added or not added to the task, same as the person in charge, task without a person in charge or nonexistent employee. Invalid identifier: uriValidationErr.
- 429
Limit of 1 request per second exceeded. See Rate limit.
- 500
Unexpected server error.